<?xml version="1.0" encoding="utf-8"?>
<layout
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">
<data>
    <variable
        name="viewmodel"
        type="it.integry.integrywmsnative.gest.ultime_consegne_cliente.UltimeConsegneClienteViewModel" />

    <variable
        name="view"
        type="it.integry.integrywmsnative.gest.ultime_consegne_cliente.UltimeConsegneClienteFragment" />
</data>


<FrameLayout
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/white"
    tools:context=".gest.ultime_consegne_cliente.UltimeConsegneClienteFragment">

    <RelativeLayout
        android:background="@android:color/white"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:background="@android:color/white"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:id="@+id/recyclerView"
            android:scrollbars="none"
            android:paddingEnd="4dp"/>

<!--        <it.integry.integrywmsnative.ui.fastscroll.FastScroller-->
<!--            android:id="@+id/fastscroll"-->
<!--            android:orientation="vertical"-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="match_parent"-->
<!--            android:layout_alignParentEnd="true"/>-->

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/empty_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:alpha="0.3">

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/guideline_empty_top"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                app:layout_constraintGuide_percent="0.2" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/guideline_empty_left"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.15" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/guideline_empty_right"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.85" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:gravity="center_horizontal"
                app:layout_constraintStart_toEndOf="@id/guideline_empty_left"
                app:layout_constraintEnd_toStartOf="@id/guideline_empty_right"
                app:layout_constraintTop_toTopOf="@id/guideline_empty_top">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="72dp"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_playlist_add_check_24dp"
                    android:adjustViewBounds="true"/>

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:textColor="@android:color/black"
                    android:textSize="18sp"
                    android:text="@string/no_docs_to_show_text"/>
            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </RelativeLayout>


    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/main_fab"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom|end"
        android:layout_margin="16dp"
        app:srcCompat="@drawable/ic_check_black_24dp"
        style="?attr/floatingActionButtonPrimaryStyle" />
</FrameLayout>
</layout>